Bug 179038 - [WPE][GTK] Always use SET_AND_EXPOSE_TO_BUILD to set build variables
Summary: [WPE][GTK] Always use SET_AND_EXPOSE_TO_BUILD to set build variables
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WPE WebKit (show other bugs)
Version: Other
Hardware: PC Linux
: P2 Normal
Assignee: Michael Catanzaro
URL:
Keywords:
Depends on:
Blocks: 178894
  Show dependency treegraph
 
Reported: 2017-10-30 17:28 PDT by Michael Catanzaro
Modified: 2017-11-15 12:08 PST (History)
6 users (show)

See Also:


Attachments
Patch (2.71 KB, patch)
2017-10-30 19:40 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2017-10-30 17:28:37 PDT
Always use SET_AND_EXPOSE_TO_BUILD to set build variables (as noted by Tom)

This doesn't actually fix anything, but it's quite risky not to do so, as build defines could wind up set to unexpected values.
Comment 1 Michael Catanzaro 2017-10-30 19:40:04 PDT
Created attachment 325413 [details]
Patch
Comment 2 WebKit Commit Bot 2017-11-06 06:43:44 PST
Comment on attachment 325413 [details]
Patch

Clearing flags on attachment: 325413

Committed r224490: <https://trac.webkit.org/changeset/224490>
Comment 3 WebKit Commit Bot 2017-11-06 06:43:45 PST
All reviewed patches have been landed.  Closing bug.